<!--
  ~ SSD - Sistema per il dimensionamento scolastico
  ~ Copyright (c) 2020 ARTI - Agenzia Regionale per la Tecnologia e l'Innovazione della Regione Puglia.
  ~
  ~ This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License along with this program. If not, see https://www.gnu.org/licenses/agpl-3.0.txt.
  -->

<div class="container-fluid">
    <h3> Analisi delle sedi</h3>
    <div class="row">
        <div class="col-lg-2">
            <p *ngIf="sede"> Sede con codice: {{sede.codice}}</p>
        </div>
        <div class="col-lg-2">
            <button class="btn btn-info" (click)="toogleTableOrReview()">Passa a {{getAlternative()}} </button>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card" *ngIf="sede && showTableOrReview('review') ">
                <div class="card-body">
                    <h4 class="card-title">Riepilogo</h4>
                    <div class="row">
                        <div class="col-lg-12">

                            <p> Codice:
                                <span class="pull-right">{{sede.codice}} </span>
                            </p>
                            <p> Codice catastale comune:
                                <span class="pull-right"> {{sede.codiceCatastaleComune}}</span>
                            </p>
                            <p> Codice edificio:
                                <span class="pull-right"> {{sede.codiceEdificio}}</span>
                            </p>
                            <p> Codice istituzione:
                                <span class="pull-right">{{sede.codiceIstituzione}}</span>
                            </p>
                            <p> Comune:
                                <span class="pull-right"> {{sede.comune}}</span>
                            </p>
                            <p> Coordinate:
                                <span class="pull-right"> Lat: {{getLat() }} - Lon: {{getLon()}} </span>
                            </p>
                            <p> Denominazione:
                                <span class="pull-right"> {{sede.denominazione}}</span>
                            </p>
                            <p> Indirizzo:
                                <span class="pull-right">{{sede.indirizzo}}</span>
                            </p>
                            <p>Sede direzione amministrativa:
                                <span class="pull-right">{{(sede.sedeDirezioneAmministrativa == true) ? 'Si' : 'No'}}</span>
                            </p>
                            <p> Tipo:
                                <span class="pull-right">{{sede.tipo}}</span>
                            </p>
                            <p> Tipologia scuola:
                                <span class="pull-right">{{sede.tipologiaScuola}}</span>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngIf="showTableOrReview('table')" class="card">
                <div class="card-body">
                    <h4 class="card-title">Tabulazione dati</h4>

                    <ngx-datatable #table class='material' [columns]="columns" [columnMode]="'force'"
                                   [headerHeight]="50" [footerHeight]="50"
                                   [rowHeight]="'auto'" [limit]="10" [rows]="rows">
                    </ngx-datatable>
                </div>
            </div>
        </div>
    </div>
</div>
